.\" Copyright (C) 1997 and 1998 WIDE Project.  All rights reserved.
.\"
.\" Redistribution and use in source and binary forms, with or without
.\" modification, are permitted provided that the following conditions
.\" are met:
.\" 1. Redistributions of source code must retain the above copyright
.\"    notice, this list of conditions and the following disclaimer.
.\" 2. Redistributions in binary form must reproduce the above copyright
.\"    notice, this list of conditions and the following disclaimer in the
.\"    documentation and/or other materials provided with the distribution.
.\" 3. All advertising materials mentioning features or use of this software
.\"    must display the following acknowledgement:
.\"    This product includes software developed by WIDE Project and
.\"    its contributors.
.\" 4. Neither the name of the project nor the names of its contributors
.\"    may be used to endorse or promote products derived from this software
.\"    without specific prior written permission.
.\" 
.\" THIS SOFTWARE IS PROVIDED BY THE PROJECT AND CONTRIBUTORS ``AS IS'' AND
.\" ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
.\" IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
.\" ARE DISCLAIMED.  IN NO EVENT SHALL THE PROJECT OR CONTRIBUTORS BE LIABLE
.\" FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL
.\" DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS
.\" OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION)
.\" HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT
.\" LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY
.\" OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
.\" SUCH DAMAGE.
.\" 
.\"	$Id: mgpembed.man,v 1.1 1998/08/23 12:24:59 itojun Exp $
.\"
.Dd December 1997
.Dt MGPEMBED 1
.Os
.Sh NAME
.Nm mgpembed
.Nd merge MagicPoint foil into single file
.Sh SYNOPSIS
.Nm mgpembed
.Fl f
.Ar files
.Sh DESCRIPTION
.Nm
merges MagicPoint input file
.Pq typically Pa foo.mgp
into single file.
It merges all included presentation files
.Pq via Li "%include" directive 
and all included images
.Pq via Li "%image" directive
into the input file, and generate output file as
.Pa foo_emb.mgp . 
.Pp
The merged form works nicely better if you would like to transmit your
foil via email, or paste the foil onto your webpage.
.Pp
If multiple files are specified as argument
.Ar files ,
each of the file will be processed.
.Nm
will fail if there's output file
.Pa foo_emb.mgp
already exists.
If you specify
.Fl f ,
output file will be overwritten.
.Sh TODO
Image search path should be compatible with
.Xr mgp 1.
.Sh SEE ALSO
.Xr mgp 1 .
.Sh HISTORY
.Nm
was created by Akira Kato <kato@wide.ad.jp>.
